com.jgoodies.looks.windows

## Class WindowsPasswordFieldUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.TextUI
    - - javax.swing.plaf.basic.BasicTextUI
      - - javax.swing.plaf.basic.BasicTextFieldUI
        - - javax.swing.plaf.basic.BasicPasswordFieldUI
          - - com.sun.java.swing.plaf.windows.WindowsPasswordFieldUI
            - - com.jgoodies.looks.windows.WindowsPasswordFieldUI

- All Implemented Interfaces:
    ViewFactory

      public final class WindowsPasswordFieldUI
      extends com.sun.java.swing.plaf.windows.WindowsPasswordFieldUI

  The JGoodies Windows Look&Feel implementation of a password field UI delegate. It differs from its superclass in that it utilizes a custom caret.
  Version:
    $Revision: 1.9 $
  Author:
    Karsten Lentzsch

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTextUI

      `BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowsPasswordFieldUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Caret` | `createCaret()` Creates the caret for a field.
    `static ComponentUI` | `createUI(JComponent c)` Creates a UI for a `JPasswordField`.

    - ### Methods inherited from class javax.swing.plaf.basic.BasicPasswordFieldUI

      `create, getPropertyPrefix, installDefaults`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicTextFieldUI

      `getBaseline, getBaselineResizeBehavior`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicTextUI

      `create, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getToolTipText, getVisibleEditorRect, installKeyboardActions, installListeners, installUI, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, propertyChange, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, viewToModel, viewToModel`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowsPasswordFieldUI

          public WindowsPasswordFieldUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI(JComponent c)

      Creates a UI for a `JPasswordField`.
      Parameters:
        `c` - the password field component
      Returns:
        the UI

    - #### createCaret

          protected Caret createCaret()

      Creates the caret for a field.
      Overrides:
        `createCaret` in class `com.sun.java.swing.plaf.windows.WindowsPasswordFieldUI`
      Returns:
        the caret

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.